# Contact Details Returns contact details by its ID. # OpenAPI definition ```json { "openapi": "3.0.3", "info": { "title": "PandaDoc Public API", "description": "PandaDoc API spans a broad range of functionality to help you build incredible documents automation experiences inside your product.\n\nPandaDoc API is organized around REST. Our API has predictable resource-oriented URLs and uses standard HTTP response codes, authentication, and verbs.\n\n## Getting started\n\nYou can start testing PandaDoc API with a sandbox key on our [Enterprise](https://www.pandadoc.com/pricing/) plan, either active or in trial.\n\nGenerate your [sandbox key](https://developers.pandadoc.com/reference/sandbox-key) on the Developer Dashboard with predefined [rate limits](https://developers.pandadoc.com/reference/limits). Or contact our solutions expert if you work with high-transaction volumes.\n\n## Guides\n\nIf you’re just getting started with PandaDoc, you may want to jump straight into one of our [getting started guides](https://developers.pandadoc.com/docs/getting-started) for the feature you’re most interested in, whether that’s:\n\n- [Create from template](https://developers.pandadoc.com/docs/create-send-document),\n- [Upload and send a local PDF](https://developers.pandadoc.com/docs/upload-and-send-a-local-pdf),\n- or [Listening for changes in document status](https://developers.pandadoc.com/docs/listen-document-status-changes).\n\nWe also recommend you to discover our dynamic content generation on a fly: [Create from a template with content placeholder](https://developers.pandadoc.com/docs/create-with-content-placeholders-from-template).\n", "termsOfService": "https://www.pandadoc.com/master-services-agreement/", "contact": { "name": "PandaDoc API Support", "url": "https://developers.pandadoc.com/", "email": "api-track@pandadoc.com" }, "license": { "name": "MIT", "url": "https://github.com/PandaDoc/pandadoc-openapi-specification/blob/main/LICENSE" }, "version": "7.18.2" }, "servers": [ { "url": "https://api.pandadoc.com", "description": "Public API" } ], "security": [ { "apiKey": [] }, { "oauth2": [] } ], "tags": [ { "name": "Contacts", "description": "Operations related to managing and retrieving contact details." } ], "paths": { "/public/v1/contacts/{id}": { "get": { "tags": [ "Contacts" ], "summary": "Contact Details", "description": "Returns contact details by its ID.", "operationId": "detailsContact", "parameters": [ { "examples": { "Default": { "value": "SyoufNkJiHRn24LpuJ7RXb" } }, "name": "id", "in": "path", "description": "Contact id.", "schema": { "type": "string" }, "required": true } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "examples": { "Default": { "value": { "id": "SyoufNkJiHRn24LpuJ7RXb", "email": "nobody@example.com", "first_name": "FName", "last_name": "LName", "company": "CompanyName", "job_title": "JobTitle", "phone": "Phone", "country": "Country", "state": "State", "street_address": "Av. de Moscavide 2", "city": "City", "postal_code": "1885-075" } } }, "schema": { "$ref": "#/components/schemas/ContactDetailsResponse" } } } }, "400": { "$ref": "#/components/responses/400RequestError" }, "401": { "$ref": "#/components/responses/400RequestError" }, "403": { "$ref": "#/components/responses/401" }, "429": { "$ref": "#/components/responses/429" } } } } }, "components": { "securitySchemes": { "apiKey": { "type": "apiKey", "name": "Authorization", "in": "header", "description": "The `Authorization` header must contain the API key. The value should be prefixed with `API-Key` followed by a space and the actual API key.\n", "x-default": "API-Key 3039ba033eb1410caa0a2227158d63c9d6502cd8" }, "oauth2": { "type": "oauth2", "flows": { "authorizationCode": { "authorizationUrl": "https://app.pandadoc.com/oauth2/authorize", "tokenUrl": "https://api.pandadoc.com/oauth2/access_token", "refreshUrl": "https://api.pandadoc.com/oauth2/access_token", "scopes": { "read+write": "Use `read+write` to create, send, delete, and download documents, and `read` to view templates and document details." } } }, "description": "Send the authenticating user to the PandaDoc OAuth2 request URL. We recommend a button or a link titled\n\"Connect to PandaDoc\" if you are connecting users from a custom application. Users will see the \"Authorize Application\" screen.\nWhen the user clicks \"Authorize\", PandaDoc redirects the user back to your site with an authorization code inside the URL.\n\nhttps://app.pandadoc.com/oauth2/authorize?client_id={client_id}&redirect_uri={redirect_uri}&scope=read+write&response_type=code\n\n`client_id` and `redirect_uri` values should match your application settings.\n" } }, "schemas": { "ContactDetailsResponse": { "type": "object", "properties": { "id": { "type": "string", "example": "BCUWJhZm3k7grUNFAz6cD2", "description": "A unique identifier of the contact" }, "email": { "type": "string", "nullable": true, "example": "user01@pandadoc.com", "description": "An email address of the contact" }, "first_name": { "type": "string", "nullable": true, "example": "John", "description": "Contact's first name" }, "last_name": { "type": "string", "nullable": true, "example": "Doe", "description": "Contact's last name" }, "company": { "type": "string", "nullable": true, "example": "John Doe Inc.", "description": "Contact's company name" }, "job_title": { "type": "string", "nullable": true, "example": "CTO", "description": "Contact's job title" }, "phone": { "type": "string", "nullable": true, "example": "+14842634627", "description": "A phone number" }, "country": { "type": "string", "nullable": true, "example": "USA", "description": "A country name" }, "state": { "type": "string", "nullable": true, "example": "Texas", "description": "A state name" }, "street_address": { "type": "string", "nullable": true, "example": "1313 Mockingbird Lane", "description": "A street address" }, "city": { "type": "string", "nullable": true, "example": "Austin", "description": "A city name" }, "postal_code": { "type": "string", "nullable": true, "example": "75001", "description": "A postal code" } } } }, "responses": { "401": { "description": "Authentication error", "content": { "application/json": { "schema": { "properties": { "type": { "type": "string", "example": "authentication_error" }, "detail": { "type": "string", "example": "Authentication credentials were not provided." } } } } } }, "429": { "description": "Too Many Requests", "content": { "application/json": { "schema": { "properties": { "type": { "type": "string", "example": "throttled" }, "detail": { "type": "string", "example": "Request was throttled." } } } } } }, "400RequestError": { "description": "Bad Request", "content": { "application/json": { "schema": { "properties": { "type": { "type": "string", "example": "request_error" }, "detail": { "type": "object", "example": { "count": [ "A valid integer is required." ], "order_by": [ "value is not a valid choice." ] } } } } } } } } } } ```